Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456034 - gnome-disk-utility - GNOME Disk Utility
Summary: gnome-disk-utility - GNOME Disk Utility
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 02:14 UTC by David Zeuthen
Modified: 2013-03-06 03:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-24 04:23:35 UTC
mclasen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Comment 1 David Zeuthen 2008-07-21 02:14:56 UTC
See also bug 456032 and bug 456033.

Comment 2 David Zeuthen 2008-07-21 02:20:21 UTC
How to try this out

 - Build and install DeviceKit packages (bug 456032)
 - Build and install DeviceKit-disks packages (bug 456033)
 - Build and install gnome-disk-utility packages (this bug)

Either reboot or run /sbin/start_udev - this is needed because some new udev
rules are installed. Now you can run "palimpsest" (it's also available as
Applications -> System Tools -> Palimpsest Disk Utility).


Comment 3 Matthias Clasen 2008-07-21 04:25:09 UTC
Misses PolicyKit-gnome-devel BR

Comment 4 Matthias Clasen 2008-07-21 04:28:22 UTC
and libsexy-devel

Comment 5 Matthias Clasen 2008-07-21 04:36:07 UTC
and intltool

Comment 6 Matthias Clasen 2008-07-21 15:26:20 UTC
rpmlint says:

[mclasen@golem ~]$ rpmlint gnome-disk-utility-*
gnome-disk-utility.i386: W: no-documentation
gnome-disk-utility-libs.i386: E: zero-length
/usr/share/doc/gnome-disk-utility-0.1/HACKING
gnome-disk-utility-ui-devel.i386: W: no-documentation
gnome-disk-utility-ui-libs.i386: W: no-documentation
gnome-disk-utility-ui-libs.i386: E: postun-without-ldconfig
/usr/lib/libgdu-gtk.so.0.0.0
gnome-disk-utility-ui-libs.i386: E: non-empty-%postun /sbin/ldconfig
6 packages and 0 specfiles checked; 3 errors, 3 warnings.

the no-docs can be ignored, the errors should be fixed.

Comment 7 Matthias Clasen 2008-07-21 15:49:32 UTC
package name: ok
spec file name: ok
packaging guidelines: 
  - source tag should be fixed up according to 
    https://fedoraproject.org/wiki/Packaging/SourceURL
  - the description should be more than a repetition of the summary. 
    Ideally 1-2 complete sentences.
license: ok
license field: ok
license file: ok
spec language: ok
spec legibility: ok
upstream sources: ok, but see above for the source tag
buildable: ok
ExcludeArch: n/a
BuildRequires: missing PolicyKit-gnome-devel, libsexy-devel, intltool
locale handling:
  - you should use find-lang --with-gnome %{name}, then it also picks
    up the translated docs and adds proper %locale tags for them
ldconfig: ok
relocatable: n/a
directory ownership: 
  - /usr/share/omf/palimpsest/ needs to be owned. See above for how to
    fix that with find-lang
  - /usr/include/gnome-disk-utility/ must be owned 
duplicate files: ok
permissions: 
  libs and ui-libs are missing a %defattr
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
%doc content: ok
headers: ok
static libs: n/a
pc files: ok
shared libs: ok
devel deps: ok
libtool archives: ok
gui apps: ok
directory ownership: ok
%install: ok
utf8 filenames: ok






Comment 8 David Zeuthen 2008-07-21 17:43:11 UTC
(In reply to comment #6)
> [mclasen@golem ~]$ rpmlint gnome-disk-utility-*
> gnome-disk-utility.i386: W: no-documentation
> gnome-disk-utility-libs.i386: E: zero-length
> /usr/share/doc/gnome-disk-utility-0.1/HACKING

Fine. It's now one byte. Stupid tools.

> gnome-disk-utility-ui-devel.i386: W: no-documentation
> gnome-disk-utility-ui-libs.i386: W: no-documentation
> gnome-disk-utility-ui-libs.i386: E: postun-without-ldconfig
> /usr/lib/libgdu-gtk.so.0.0.0
> gnome-disk-utility-ui-libs.i386: E: non-empty-%postun /sbin/ldconfig

Excuse me? There's already 

 %post ui-libs -p /sbin/ldconfig
 %postun ui-libs -p /sbin/ldconfig

> 6 packages and 0 specfiles checked; 3 errors, 3 warnings.
>
> the no-docs can be ignored, the errors should be fixed.

(In reply to comment #7)
>   - source tag should be fixed up according to 
>     https://fedoraproject.org/wiki/Packaging/SourceURL

Fixed.

>   - the description should be more than a repetition of the summary. 
>     Ideally 1-2 complete sentences.

I've added some more, uh, stuff.

> BuildRequires: missing PolicyKit-gnome-devel, libsexy-devel, intltool

Fixed.

> locale handling:
>   - you should use find-lang --with-gnome %{name}, then it also picks
>     up the translated docs and adds proper %locale tags for them

As I said, there are zero translations right now. So that's why it's commented
out right now. If included it fails. Maybe it's an upstream problem. I don't know.

>   - /usr/share/omf/palimpsest/ needs to be owned. See above for how to
>     fix that with find-lang

Please elaborate, ideally in patch(1) form.

>   - /usr/include/gnome-disk-utility/ must be owned 

Done.

Uploaded new SPEC and SRPM at same location. Thanks for reviewing this.


Comment 9 Matthias Clasen 2008-07-21 18:41:30 UTC
> Fine. It's now one byte. Stupid tools.

How odd. Wouldn't the obvious solution be to not ship a HACKING file if you
don't have one ?

> > BuildRequires: missing PolicyKit-gnome-devel, libsexy-devel, intltool
>
> Fixed.

You added a BR for PolicyKit-gnome, not PolicyKit-gnome-devel. I guess you'll
find out if thats sufficient... (turns out it is not)

have to run out now, will continue later


Comment 10 David Zeuthen 2008-07-21 18:53:43 UTC
(In reply to comment #9)
> > > BuildRequires: missing PolicyKit-gnome-devel, libsexy-devel, intltool
> >
> > Fixed.
> 
> You added a BR for PolicyKit-gnome, not PolicyKit-gnome-devel. I guess you'll
> find out if thats sufficient... (turns out it is not)

Of course it's not. Fixed. New SPEC and SRPM uploaded. Thanks.


Comment 11 Matthias Clasen 2008-07-21 20:05:10 UTC
> Please elaborate, ideally in patch(1) form.

Scratch that. find-lang.sh refuses to work if there are no translations.

Spec file looks fine now.

Comment 12 David Zeuthen 2008-07-21 20:29:12 UTC
New Package CVS Request
=======================
Package Name: gnome-disk-utility
Short Description: GNOME Disk Utility
Owners: davidz
Branches:
InitialCC:
Cvsextras Commits: yes


Comment 13 Kevin Fenzi 2008-07-22 15:54:20 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.